/**
 * \file mgui/dlgselectunits.h
 * \brief MGUI::DLG_SELECT_UNITS definitions
 *
 * \if NODOC
 * $Id: dlgselectunits.h_v 1.1 2008/09/24 20:31:44 mju Exp $
 *
 * $Log: dlgselectunits.h_v $
 * Revision 1.1  2008/09/24 20:31:44  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_MGUI_DLGSELECTUNITS_H
#define	INC_MGUI_DLGSELECTUNITS_H

#ifndef	INC_MGUI_DLGSELECTLIST_H
#include <mgui/dlgselectlist.h>
#endif

#ifndef	INC_MI32_UOM_H
#include <mi32/uom.h>
#endif

namespace MGUI {
//=====================================================================================================================

//! Dialog allowing user to pick unit from list.
class DLG_SELECT_UNITS : public DLG_SELECT_LIST {
	public:

		DLG_SELECT_UNITS (
			UOM::MEASURE::TYPE MeasureType,		//!< Measurement type
			const MISTRING& dlgtitle,				//!< Title for dialog
			const MISTRING& prompt					//!< Prompt string
			);

		virtual ~DLG_SELECT_UNITS ();

		//! Get selected unit number.
		int GetUnitNum (
			) { return (GetSelectedItemID()); }

		//! Get selected
		void SetDefaultUnitNum (
			int UnitNum
			) { SetDefaultItemID(static_cast<MGUI::ID>(UnitNum)); }
	};

//=====================================================================================================================
}	// End namespace MGUI

#endif	// INC_MGUI_DLGSELECTUNITS_H
