/**
 *	\file autocolr.h <mi32/autocolr.h>
 *	\brief AUTOCOLORGEN class definition
 *
 * \if NODOC
 * $Id: autocolr.h_v 1.2 2003/09/15 13:49:56 fileserver!dwilliss Exp $
 *
 * $Log: autocolr.h_v $
 * Revision 1.2  2003/09/15 13:49:56  fileserver!dwilliss
 * Doxygen
 *
 * Revision 1.1  2002/10/21 18:05:54  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_MI32_AUTOCOLR_H
#define	INC_MI32_AUTOCOLR_H

#ifndef	INC_MI32_STDDEFNS_H
#include <mi32/stddefns.h>
#endif

struct COLOR;

//===================================================================================================================
//!	Automatic color generator for generating colors in a predetermined progression.
class AUTOCOLORGEN {
	public:

		//! Constructor, initializes progression.
		AUTOCOLORGEN ();

		//! Get next color in progression.
		void GetNext (
			COLOR& color
			);

		//! Reset progression.
		void Reset ();

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		UINT8 m_redloc;
		UINT8 m_grnloc;
		UINT8 m_bluloc;
		UINT8 m_topval;
		UINT8 m_idx;
		#endif // GENERATING_DOXYGEN_OUTPUT
	};

//===================================================================================================================

#endif	//!< INC_MI32_AUTOCOLR_H

