/**
*	mi32/printgamma.h - Structure for printer gamma adjustment
*
*  \if NODOC
*  $Log: printgamma.h_v $
*  Revision 1.1  2007/04/09 16:18:27  dwilliss
*  Initial revision
*
*  \endif
**/

#ifndef	INC_MI32_PRINTGAMMA_H
#define	INC_MI32_PRINTGAMMA_H

//! Contrast parameter structure used in printing
struct PRINTGAMMA {
	int ignored;					//!< (force 8-byte alignment)
	int flags;						//!< Contrast flags (CONTR_...)
	int inplowlim;					//!< Input lower limit
	int inpuprlim;					//!< Input upper limit
	int outlowlim;					//!< Output lower limit
	int outuprlim;					//!< Output upper limit
	double power;					//!< Precomputed power
	};


#define	PRINTGAMMA_CMYMODE  	2	//!< Do gamma in cyan/magenta/yellow mode

#endif

