/**
 * \file rvc/houghprm.h 
 * \brief interface for the RVC::HOUGHPARMS class.
 *
 * \if NODOC
 * $Id: houghprm.h_v 1.6 2009/11/25 18:49:05 mju Exp $
 *
 * $Log: houghprm.h_v $
 * Revision 1.6  2009/11/25 18:49:05  mju
 * Doxygen fix.
 *
 * Revision 1.5  2003/10/07 17:32:46  scowan
 * Object virtual method changes.
 *
 * Revision 1.4  2003/09/30 16:52:06  dwilliss
 * Doxygen
 *
 * Revision 1.3  2003/09/25 21:56:58  dwilliss
 * doxygen
 *
 * Revision 1.2  2003/09/15 13:49:45  fileserver!dwilliss
 * Doxygen
 *
 * Revision 1.1  2001/11/01 17:09:16  scowan
 * Initial revision
 *
 * \endif
**/

//!	\class RVC::HOUGHPARMS rvc/houghprm.h
//!	\brief Interface for RVC hough transformation parameters.
//!
//!	RVC Object Types that this class supports: Derived class
//!
//!	Default RVC Object Type for this class: Derived class
//!
//!	Valid parents for this class: Derived class

#ifndef INC_RVC_HOUGHPRM_H
#define INC_RVC_HOUGHPRM_H

#ifndef INC_RVC_TEXT_H
	#include <rvc/textobj.h>
#endif

namespace RVC {

class HOUGHPARMS : public RVC::TEXTOBJ {
	public:

		//! Default constructor
		HOUGHPARMS (
			);

		//! Copy constructor
		HOUGHPARMS (
			const RVC::HOUGHPARMS& rhs
			);

		//! Destructor
		virtual ~HOUGHPARMS (
			);

		//! Assignment
		RVC::HOUGHPARMS& operator= (
			const RVC::HOUGHPARMS& rhs
			);

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT

		//! Implementation of RVC::OBJECT virtual methods
		virtual OBJTYPE v_GetDftObjectType () const;

		#endif // GENERATING_DOXYGEN_OUTPUT

	};

}		//! End of RVC namespace

#endif 	//!< INC_RVC_SCRIPT_H
