/* $XFree86: xc/include/extensions/XvMClib.h,v 1.5 2001/06/20 20:09:34 mvojkovi Exp $ */

#ifndef _XVMCLIB_H_
#define _XVMCLIB_H_

#include <X11/Xfuncproto.h>
#include <X11/extensions/Xvlib.h>
#include <X11/extensions/XvMC.h>

_XFUNCPROTOBEGIN

XLIBEXPORT Bool XvMCQueryExtension (Display *display, int *eventBase, int *errBase);
XLIBEXPORT Status XvMCQueryVersion (Display *display, int *major, int *minor);

XLIBEXPORT XvMCSurfaceInfo * XvMCListSurfaceTypes(Display *dpy, XvPortID port, int *num);

XLIBEXPORT Status XvMCCreateContext (
   Display *display,
   XvPortID port,
   int surface_type_id,
   int width,
   int height,
   int flags,
   XvMCContext * context
);

XLIBEXPORT Status XvMCDestroyContext (Display *display, XvMCContext * context);

XLIBEXPORT Status 
XvMCCreateSurface(
  Display *display,
  XvMCContext * context,
  XvMCSurface * surface
);

XLIBEXPORT Status XvMCDestroySurface(Display *display, XvMCSurface *surface);

XLIBEXPORT XvImageFormatValues * XvMCListSubpictureTypes (
  Display * display,
  XvPortID port,
  int surface_type_id,
  int *count_return
);

XLIBEXPORT Status
XvMCPutSurface(
  Display *display,
  XvMCSurface *surface,
  Drawable draw,
  short srcx, 
  short srcy, 
  unsigned short srcw, 
  unsigned short srch,
  short destx,
  short desty,
  unsigned short destw,
  unsigned short desth,
  int flags
);

XLIBEXPORT Status XvMCHideSurface(Display *display, XvMCSurface *surface);

XLIBEXPORT Status
XvMCCreateSubpicture (
   Display *display, 
   XvMCContext *context,
   XvMCSubpicture *subpicture, 
   unsigned short width,
   unsigned short height,
   int xvimage_id
);


XLIBEXPORT Status
XvMCClearSubpicture (
  Display *display,
  XvMCSubpicture *subpicture,
  short x,
  short y,
  unsigned short width,
  unsigned short height,
  unsigned int color
);

XLIBEXPORT Status
XvMCCompositeSubpicture (
   Display *display,
   XvMCSubpicture *subpicture,
   XvImage *image,
   short srcx,
   short srcy,
   unsigned short width,
   unsigned short height,
   short dstx,
   short dsty
);

XLIBEXPORT Status
XvMCDestroySubpicture (Display *display, XvMCSubpicture *subpicture);

XLIBEXPORT Status
XvMCSetSubpicturePalette (
  Display *display, 
  XvMCSubpicture *subpicture, 
  unsigned char *palette
);

XLIBEXPORT Status
XvMCBlendSubpicture (
   Display *display,
   XvMCSurface *target_surface,
   XvMCSubpicture *subpicture,
   short subx,
   short suby,
   unsigned short subw,
   unsigned short subh,
   short surfx,
   short surfy,
   unsigned short surfw,
   unsigned short surfh
);

XLIBEXPORT Status
XvMCBlendSubpicture2 (
   Display *display,
   XvMCSurface *source_surface,
   XvMCSurface *target_surface,
   XvMCSubpicture *subpicture,
   short subx,
   short suby,
   unsigned short subw,
   unsigned short subh,
   short surfx,
   short surfy,
   unsigned short surfw,
   unsigned short surfh
);

XLIBEXPORT Status XvMCSyncSurface (Display *display, XvMCSurface *surface);
XLIBEXPORT Status XvMCFlushSurface (Display *display, XvMCSurface *surface);
XLIBEXPORT Status XvMCGetSurfaceStatus (Display *display, XvMCSurface *surface, int *stat);

XLIBEXPORT Status XvMCRenderSurface ( 
   Display *display,
   XvMCContext *context,
   unsigned int picture_structure,
   XvMCSurface *target_surface,
   XvMCSurface *past_surface,
   XvMCSurface *future_surface,
   unsigned int flags,
   unsigned int scan_order,
   unsigned int num_macroblocks,
   unsigned int first_macroblock,
   XvMCMacroBlockArray *macroblock_array,
   XvMCBlockArray *blocks
);


XLIBEXPORT Status XvMCSyncSubpicture (Display *display, XvMCSubpicture *subpicture);
XLIBEXPORT Status XvMCFlushSubpicture (Display *display, XvMCSubpicture *subpicture);
XLIBEXPORT Status
XvMCGetSubpictureStatus (Display *display, XvMCSubpicture *subpic, int *stat);

XLIBEXPORT Status XvMCCreateBlocks (
   Display *display, 
   XvMCContext *context,
   unsigned int num_blocks,
   XvMCBlockArray *block
);

XLIBEXPORT Status XvMCDestroyBlocks (Display *display,XvMCBlockArray *block);

XLIBEXPORT Status XvMCCreateMacroBlocks (
   Display *display,
   XvMCContext *context,
   unsigned int num_blocks,
   XvMCMacroBlockArray *blocks
);

XLIBEXPORT Status XvMCDestroyMacroBlocks (
   Display *display,
   XvMCMacroBlockArray *block
);


XLIBEXPORT Status XvMCLoadIntraQuantizerMatrix (
   Display *display,
   XvMCContext *context,
   unsigned char matrix[64]
);

XLIBEXPORT Status XvMCLoadNonIntraQuantizerMatrix (
   Display *display,
   XvMCContext *context,
   unsigned char matrix[64]
);

XLIBEXPORT Status XvMCLoadChromaIntraQuantizerMatrix (
   Display *display,
   XvMCContext *context,
   unsigned char matrix[64]
);

XLIBEXPORT Status XvMCLoadChromaNonIntraQuantizerMatrix (
   Display *display,
   XvMCContext *context,
   unsigned char matrix[64]
);

XLIBEXPORT Status XvMCSetQuantizerScale(
   Display *display,
   XvMCContext *context,
   int scale
);

XLIBEXPORT Status XvMCSetIntraDCPrecision(
   Display *display,
   XvMCContext *context,
   int prec
);

XLIBEXPORT XvAttribute *
XvMCQueryAttributes (
    Display *display,
    XvMCContext *context,
    int *number
);

XLIBEXPORT Status
XvMCSetAttribute (
    Display *display,
    XvMCContext *context, 
    Atom attribute, 
    int value
);

XLIBEXPORT Status
XvMCGetAttribute (
    Display *display,
    XvMCContext *context, 
    Atom attribute, 
    int *value
);

_XFUNCPROTOEND

#endif
